Package it.ernytech.tdlib

## Class TdApi.UploadFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.UploadFile

Enclosing class:
  TdApi

    public static class TdApi.UploadFile
    extends TdApi.Function

Asynchronously uploads a file to the cloud without sending it in a message. updateFile will be used to notify about upload progress and successful completion of the upload. The file will not have a persistent remote identifier until it will be sent in a message.

Returns `File`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputFile` `file` File to upload.
`TdApi.FileType` `fileType` File type.
`int` `priority` Priority of the upload (1-32).

### Constructor Summary

Constructors
`UploadFile()` Default constructor.
`UploadFile​(TdApi.InputFile file, TdApi.FileType fileType, int priority)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### file

    public TdApi.InputFile file

File to upload.

#### fileType

    public TdApi.FileType fileType

File type.

#### priority

    public int priority

Priority of the upload (1-32). The higher the priority, the earlier the file will be uploaded. If the priorities of two files are equal, then the first one for which uploadFile was called will be uploaded first.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UploadFile

    public UploadFile()

Default constructor.

#### UploadFile

    public UploadFile​(TdApi.InputFile file,
                      TdApi.FileType fileType,
                      int priority)

Constructor for initialization of all fields.

Parameters:
  `file` - File to upload.
  `fileType` - File type.
  `priority` - Priority of the upload (1-32). The higher the priority, the earlier the file will be uploaded. If the priorities of two files are equal, then the first one for which uploadFile was called will be uploaded first.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR